Rails.application.routes.draw do


  resources :node_addresses
  scope '(:locale)', {locale: Regexp.new(locales.join '|')} do
    devise_for :accounts

    scope '/admin' do
      mount Ckeditor::Engine => '/ckeditor'
      resources :pages
      resources :settings, only: [:index, :edit, :update]
      resources :images, only: [:show, :edit, :update]
      resources :accounts
      resources :newsletters
      resources :nodes
      controller :nodes do
        get 'set_t_address' => :set_t_address, as: 'set_t_address'
        get 'z_gettotalbalance' => :z_gettotalbalance, as: 'z_gettotalbalance'
        get 'sync_node' => :sync_node, as: 'sync_node'
        get 'return_amount' => :return_amount, as: 'return_amount'
      end
      resources :amount_sends

      controller :amount_sends do
        get 'set_transaction' => :set_transaction, as: 'set_transaction'
        get 'pick_up_amount' => :pick_up_amount, as: 'pick_up_amount'
        get 'preparation_return' => :preparation_return, as: 'preparation_return'
      end
      controller :newsletters do
        get 'newsletters/:id/send' => :sending, as: 'send_newsletter'
        get 'newsletters/:id/resend' => :resend, as: 'resend_newsletter'
      end

      controller :admin do
        get '/' => :index, as: :admin_index
        patch 'links_pinned' => :links_pinned
      end

      controller :blocks do
        post 'blocks/apply' => :apply
        post 'blocks/cancel' => :cancel
        patch 'blocks/:id/' => :update, as: :update_block
        get 'blocks/:id/edit' => :edit
      end

      root 'pages#index', as: :admin
    end

    get '/' => 'front#index'
    get 'pages/:id' => 'front#page', as: :front_page

    root 'front#index'
  end
end
